%global		_hardened_build 1

Summary:	Whirlpool cryptographic hash function library
Name:		libwhirlpool
Version:	1.0
Release:	1%{?dist}

Group:		System Environment/Libraries
License:	Public Domain
URL:		https://github.com/dfateyev/libwhirlpool

Source0:	https://github.com/dfateyev/libwhirlpool/archive/v%{version}.tar.gz
%{?el5:BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)}

BuildRequires:	coreutils
BuildRequires:	make

%description
WHIRLPOOL cryptographic hash function library for UNIX and Linux.
Also provides 'whirlpoolsum' utility for easy calculation and checking
WHIRLPOOL hashes similar to 'md5sum' and 'shaXXXsum'.

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains the header files and libraries for developing
with %{name}.

%prep
%setup -q

%build
%configure \
	--enable-shared \
	--disable-static

# disable parallel build to get proper linking order
make

%install
%if 0%{?el5}
rm -rf %{buildroot}
%endif
make install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_libdir}/*.la

%if 0%{?el5}
%clean
rm -rf %{buildroot}
%endif

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%{!?_licensedir:%global license %doc}
%license COPYING
%doc ChangeLog AUTHORS README
%{_mandir}/man1/*.1*
%{_libdir}/libwhirlpool.so.*
%{_bindir}/whirlpoolsum

%files devel
%{_includedir}/whirlpool.h
%{_libdir}/libwhirlpool.so


%changelog
* Wed Dec 16 2015 Denis Fateyev <denis@fateyev.com> - 1.0-1
- Initial RPM release
